> For the complete documentation index, see [llms.txt](https://docs.hello-lisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-lisa.com/developers/analytics/abobe-appmeasurement/event-reference/social-sharing.md).

# Social Sharing

### Social Sharing Event

Along with all standard [Analytics Event properties](/developers/analytics/abobe-appmeasurement/event-reference.md#canonical-shared-event-schema), a Social Sharing Event includes the following additional properties:

#### Schema

```typescript
interface SocialSharingEvent extends Omit<
  AnalyticsEvent,
  'eventType'
> {
  eventType:
    | 'lsc:share:cancel'
    | 'lsc:share:click'
    | 'lsc:share:complete';

  // Event-specific fields

  /**
   * The distinct social sharing target.
   */
  shareTarget:
    | 'clipboard'
    | 'email'
    | 'facebook'
    | 'linkedin'
    | 'native'
    | 'pinterest'
    | 'twitter'
    | 'whatsapp';
  /**
   * The social sharing text template.
   */
  shareText: string;
  /**
   * The URL being shared by the visitor.
   */
  shareUrl: string;
}

```

#### Alias Mapping Table

<table data-full-width="false"><thead><tr><th width="270.4453125" valign="top">Alias (contextData key) </th><th valign="top">Meaning / Use Case</th><th valign="top">Suggested Adobe Target (placeholder)</th><th valign="top">Friendly Label Example</th></tr></thead><tbody><tr><td valign="top"><code>lsc.shareTarget</code></td><td valign="top">Platform segmentation</td><td valign="top">prop{SHARE_TARGET}</td><td valign="top">Share Target</td></tr><tr><td valign="top"><code>lsc.shareText</code></td><td valign="top">Share context</td><td valign="top">prop{SHARE_TEXT}</td><td valign="top">Share Text</td></tr><tr><td valign="top"><code>lsc.shareUrl</code></td><td valign="top">Inbound traffic analyis</td><td valign="top">prop{SHARE_URL}</td><td valign="top">Share URL</td></tr></tbody></table>

### `lsc:share:cancel`

Visitor cancelled social sharing through their device's native sharing options.

#### Schema

```typescript
export interface SocialSharingCancelEvent extends Omit<
  SocialSharingEvent,
  'eventType'
> {
  eventType: 'lsc:share:cancel';
}
```

### `lsc:share:click`

Visitor clicked a social sharing target CTA.

#### Schema

```typescript
export interface SocialSharingClickEvent extends Omit<
  SocialSharingEvent,
  'eventType'
> {
  eventType: 'lsc:share:click';
}
```

### `lsc:share:complete`

Visitor completed social sharing through their device's native sharing options.

#### Schema

```typescript
export interface SocialSharingCompleteEvent extends Omit<
  SocialSharingEvent,
  'eventType'
> {
  eventType: 'lsc:share:complete';
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-lisa.com/developers/analytics/abobe-appmeasurement/event-reference/social-sharing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
